# 资讯管理功能需求文档

资讯管理是为业主提供资讯的后台平台，其目的是为业主提供即时便民的资讯。

资讯管理分：资讯类别管理和资讯信息管理 

## 业务流程

## [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

## 添加资讯分类

![image/addtype](image/addtype.png)

## 表单说明

| 字段名称 | 类型     | 备注                 | 是否必填 |
| ---- | ------ | ------------------ | ---- |
| 一级类别 | String | 父类别                | 是    |
| 名称   | String | 不可重复               | 是    |
| 排序   | Int    | 正整数，数值越大，排序越**靠前** | 是    |
| 状态   | Enum   | 默认类别状态：**显示**      | 是    |

## 删除资讯信息

![image/deletewarn](image/deletewarn.png)



删除类别时判断该类别下是否有资讯，如果有资讯，给出提示。



## 添加资讯信息

| 第一步                                               | 第二步                                                 |
| ------------------------------------------------- | --------------------------------------------------- |
| ![image/addinformation](image/addinformation.png) | ![image/addinformation2](image/addinformation2.png) |

## 表单说明

| 字段名称 | 类型       | 备注                    | 是否必填 |
| ---- | -------- | --------------------- | ---- |
| 二级分类 | String   | 如果二级分类状态是隐藏，添加的资讯也是隐藏 | 是    |
| 发布时间 | Datetime | 默认是当前时间               | 否    |
| 缩略图  | String   | 图片必须大于680px*280px     | 是    |
| 概要   | String   | 不填则自动截取正文前64个字        | 否    |
| 状态   | Enum     | 默认资讯状态是**隐藏**         | 是    |


